using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace APT.Data.Migrations.Migrations
{
    public partial class wyw2026060801 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "T_FM_USER_TRANSFER",
                columns: table => new
                {
                    ID = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CODE = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: true),
                    NAME = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    COMPANYNAME = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    DEPARTMENT_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    DEPARTMENTNAME = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    POST_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    POSTNAME = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    REMARK = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: true),
                    USERNAME_TRANSFER = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: true),
                    ORG_ID_OLD = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    COMPANYNAME_OLD = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    DEPARTMENT_ID_OLD = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    DEPARTMENTNAME_OLD = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    POST_ID_OLD = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    POSTNAME_OLD = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    IS_DELETED = table.Column<bool>(type: "bit", nullable: false),
                    ORG_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ENTITY_ORG_TPYE = table.Column<int>(type: "int", nullable: false),
                    FORM_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    FLOW_STATUS = table.Column<int>(type: "int", nullable: false),
                    FLOW_SEND_STATUS = table.Column<int>(type: "int", nullable: false),
                    FLOW_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    CREATE_TIME = table.Column<DateTime>(type: "datetime2", nullable: true),
                    MODIFY_TIME = table.Column<DateTime>(type: "datetime2", nullable: true),
                    CREATER_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    MODIFIER_ID = table.Column<Guid>(type: "uniqueidentifier", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_T_FM_USER_TRANSFER", x => x.ID);
                    table.ForeignKey(
                        name: "FK_T_FM_USER_TRANSFER_T_FM_ORGANIZATION_ORG_ID",
                        column: x => x.ORG_ID,
                        principalTable: "T_FM_ORGANIZATION",
                        principalColumn: "ID",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_T_FM_USER_TRANSFER_ORG_ID",
                table: "T_FM_USER_TRANSFER",
                column: "ORG_ID");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "T_FM_USER_TRANSFER");
        }
    }
}
